[package]
name = "partisia-wasm-performance-tests"
version = "0.1.0"
edition = "2018"
license = "MIT"

[features]
abi = [
  "pbc_contract_common/abi",
  "pbc_contract_codegen/abi",
  "pbc_traits/abi",
  "create_type_spec_derive/abi",
]

[lib]
crate-type = ["cdylib", "rlib"]

[[bin]]
name = "main"
test = false
bench = false

[dependencies]
wasm-bindgen = "0.2.63"
pbc_contract_common = { path = "dependencies/rust-contract-sdk/pbc_contract_common" }
pbc_contract_codegen = { path = "dependencies/rust-contract-sdk/pbc_contract_codegen" }
pbc_traits = { path = "dependencies/rust-contract-sdk/pbc_traits"  }
read_write_rpc_derive = { path = "dependencies/rust-contract-sdk/read_write_rpc_derive" }
read_write_state_derive = { path = "dependencies/rust-contract-sdk/read_write_state_derive"}
create_type_spec_derive = { path = "dependencies/rust-contract-sdk/create_type_spec_derive" }
pbc_lib = { path = "dependencies/rust-contract-sdk/pbc_lib" }

[profile.release]
opt-level = 3
lto = true

[profile.profile]
inherits = "release"
opt-level = 2
lto = false
